/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ProjectionEponymousName
 */
public enum EnumCV_ProjectionEponymousName 
{
	//Projection Eponymous Name - CID 4012
	ALBERS_SCHONBERG_R_10261("R-10261"),
	ALEXANDER_R_10262("R-10262"),
	APPLE_R_40A88("R-40A88"),
	ARCELIN_R_10263("R-10263"),
	BECLERE_R_10264("R-10264"),
	BERTEL_R_10265("R-10265"),
	BLACKETT_HEALY_R_10266("R-10266"),
	BREWERTON_PROJECTION_R_40809("R-40809"),
	BRODEN_R_10267("R-10267"),
	BURMAN_R_40A89("R-40A89"),
	CAHOON_R_10268("R-10268"),
	CALDWELL_R_10269("R-10269"),
	CAMP_COVENTRY_R_1026A("R-1026A"),
	CAUSTON_R_1026B("R-1026B"),
	CHAMBERLAIN_R_1026C("R-1026C"),
	CHASSARD_LAPINE_R_1026D("R-1026D"),
	CHAUSSE_R_1026E("R-1026E"),
	CLEAVES_R_1026F("R-1026F"),
	CLEMENTS_R_10270("R-10270"),
	CLEMENTS_NAKAYAMA_R_10271("R-10271"),
	COLCHER_SUSSMAN_R_40A8A("R-40A8A"),
	DANELIUS_MILLER_R_40A8B("R-40A8B"),
	DUNLAP_R_10272("R-10272"),
	ERASO_MODIFICATION_R_40A8F("R-40A8F"),
	FERGUSON_R_10273("R-10273"),
	FISK_R_40A8C("R-40A8C"),
	FLEISCHNER_R_10274("R-10274"),
	FOLIO_R_40A8D("R-40A8D"),
	FRIEDMAN_R_10275("R-10275"),
	FUCHS_R_10276("R-10276"),
	GARTH_R_40A8E("R-40A8E"),
	GAYNOR_HART_R_10277("R-10277"),
	GRANDY_R_10278("R-10278"),
	GRASHEY_R_10279("R-10279"),
	HAAS_R_1027A("R-1027A"),
	HARRIS_BEATH_AXIAL_PROJECTION_R_4080A("R-4080A"),
	HENSCHEN_R_1027B("R-1027B"),
	HICKEY_R_1027C("R-1027C"),
	HIRTZ_MODIFICATION_R_40A90("R-40A90"),
	HOLLY_R_1027D("R-1027D"),
	HOLMBLAD_R_1027E("R-1027E"),
	HOUGH_R_1027F("R-1027F"),
	HSIEH_R_10280("R-10280"),
	HUGHSTON_R_10281("R-10281"),
	ISHERWOOD_R_10282("R-10282"),
	JUDD_R_10283("R-10283"),
	JUDET_PROJECTION_R_4080D("R-4080D"),
	KANDEL_R_10284("R-10284"),
	KASABACH_R_10285("R-10285"),
	KEMP_HARPER_R_10286("R-10286"),
	KITE_R_40A91("R-40A91"),
	KOVACS_R_10287("R-10287"),
	KUCHENDORF_R_10288("R-10288"),
	KURZBAUER_R_10289("R-10289"),
	LAQUERRIERE_PIERQUIN_R_1028A("R-1028A"),
	LAUENSTEIN_R_1028B("R-1028B"),
	LAW_R_1028C("R-1028C"),
	LAWRENCE_R_1028D("R-1028D"),
	LEONARD_GEORGE_R_1028E("R-1028E"),
	LEWIS_R_1028F("R-1028F"),
	LILIENFELD_R_10290("R-10290"),
	LINDBLOM_R_10291("R-10291"),
	LORENZ_R_10292("R-10292"),
	LOW_BEER_R_10293("R-10293"),
	LYSHOLM_R_10294("R-10294"),
	MAY_R_10295("R-10295"),
	MAYER_R_10296("R-10296"),
	MERCHANT_R_10297("R-10297"),
	MILLER_R_10298("R-10298"),
	MOORE_R_40A92("R-40A92"),
	MORTICE_PROJECTION_R_4080E("R-4080E"),
	NEER_R_40A93("R-40A93"),
	NOLKE_R_10299("R-10299"),
	NORGAARD_R_1029A("R-1029A"),
	OTTONELLO_R_1029B("R-1029B"),
	PAWLOW_R_1029C("R-1029C"),
	PEARSON_R_1029D("R-1029D"),
	PENNER_R_1029E("R-1029E"),
	PIRIE_R_1029F("R-1029F"),
	RAFERT_R_40A94("R-40A94"),
	RAFERT_LONG_R_40A95("R-40A95"),
	RHESE_R_102A0("R-102A0"),
	ROBERT_R_40A96("R-40A96"),
	ROSENBERG_R_40A97("R-40A97"),
	SCHULLER_R_102A1("R-102A1"),
	SETTEGAST_R_102A2("R-102A2"),
	STAUNIG_R_102A3("R-102A3"),
	STECHER_R_102A4("R-102A4"),
	STENVERS_R_102A5("R-102A5"),
	STRYKER_R_40A98("R-40A98"),
	SWANSON_R_102A6("R-102A6"),
	TARRANT_R_102A7("R-102A7"),
	TAYLOR_R_102A8("R-102A8"),
	TEUFEL_R_102A9("R-102A9"),
	TITTERINGTON_R_102AA("R-102AA"),
	TOWNE_R_102AB("R-102AB"),
	TWINING_R_102AC("R-102AC"),
	VALDINI_R_102AD("R-102AD"),
	VAN_ROSEN_PROJECTION_R_40816("R-40816"),
	WATERS_R_102AE("R-102AE"),
	WEST_POINT_R_102AF("R-102AF"),
	WIGBY_TAYLOR_R_102B0("R-102B0"),
	WOLF_R_40A99("R-40A99"),
	ZANELLI_R_102B1("R-102B1");

	private String value;

	EnumCV_ProjectionEponymousName(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
